From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Add SWI prolog compatible save predicate
Forwarded: not-needed
--- a/checker/checker.pro
+++ b/checker/checker.pro
@@ -101,6 +101,16 @@
     report_total_defects,
     close_all_streams,
     halt(1).
+
+swisav_checker:-
+    zero_defects_reported,
+    qsave_program('checker', [autoload(true), goal(runtime_entry(start)), stand_alone(false)]),
+    halt(0).
+
+swisav_checker:-
+    report_total_defects,
+    halt(1).
+
 %===============================================================================
 
 %###############################################################################
